| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::Client::ConnectionInterfaceCapabilitiesInterface Class Reference
Client-side proxies » Connection proxies

`#include <TelepathyQt/Connection>`

Inheritance diagram for Tp::Client::ConnectionInterfaceCapabilitiesInterface:
[legend]

## Public Slots

QDBusPendingReply< Tp::CapabilityPairList > | AdvertiseCapabilities (const Tp::CapabilityPairList &add, const QStringList &remove, int timeout=-1)
QDBusPendingReply< Tp::ContactCapabilityList > | GetCapabilities (const Tp::UIntList &handles, int timeout=-1)

## Signals

void | CapabilitiesChanged (const Tp::CapabilityChangeList &caps)
Signals inherited from Tp::AbstractInterface
void | propertiesChanged (const QVariantMap &changedProperties, const QStringList &invalidatedProperties)

## Public Member Functions

| ConnectionInterfaceCapabilitiesInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
| ConnectionInterfaceCapabilitiesInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
| ConnectionInterfaceCapabilitiesInterface (Tp::DBusProxy *proxy)
| ConnectionInterfaceCapabilitiesInterface (const Tp::Client::ConnectionInterface &mainInterface)
| ConnectionInterfaceCapabilitiesInterface (const Tp::Client::ConnectionInterface &mainInterface, QObject *parent)
Tp::PendingVariantMap * | requestAllProperties () const
Public Member Functions inherited from Tp::AbstractInterface
virtual | ~AbstractInterface ()
bool | isValid () const
QString | invalidationReason () const
QString | invalidationMessage () const
void | setMonitorProperties (bool monitorProperties)
bool | isMonitoringProperties () const
Public Member Functions inherited from QDBusAbstractInterface
virtual | ~QDBusAbstractInterface ()
bool | isValid () const
QDBusConnection | connection () const
QString | service () const
QString | path () const
QString | interface () const
QDBusError | lastError () const
void | setTimeout (int timeout)
int | timeout () const
QDBusMessage | call (const QString &method, const QVariant &arg1, const QVariant &arg2, const QVariant &arg3, const QVariant &arg4, const QVariant &arg5, const QVariant &arg6, const QVariant &arg7, const QVariant &arg8)
QDBusMessage | call (QDBus::CallMode mode, const QString &method, const QVariant &arg1, const QVariant &arg2, const QVariant &arg3, const QVariant &arg4, const QVariant &arg5, const QVariant &arg6, const QVariant &arg7, const QVariant &arg8)
QDBusMessage | callWithArgumentList (QDBus::CallMode mode, const QString &method, const QList< QVariant > &args)
bool | callWithCallback (const QString &method, const QList< QVariant > &args, QObject *receiver, const char *returnMethod, const char *errorMethod)
bool | callWithCallback (const QString &method, const QList< QVariant > &args, QObject *receiver, const char *slot)
QDBusPendingCall | asyncCall (const QString &method, const QVariant &arg1, const QVariant &arg2, const QVariant &arg3, const QVariant &arg4, const QVariant &arg5, const QVariant &arg6, const QVariant &arg7, const QVariant &arg8)
QDBusPendingCall | asyncCallWithArgumentList (const QString &method, const QList< QVariant > &args)
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)

## Static Public Member Functions

static QLatin1String | staticInterfaceName ()
Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)

## Protected Member Functions

virtual void | invalidate (Tp::DBusProxy *, const QString &, const QString &)
Protected Member Functions inherited from Tp::AbstractInterface
| AbstractInterface (DBusProxy *proxy, const QLatin1String &interface)
| AbstractInterface (const QString &busName, const QString &path, const QLatin1String &interface, const QDBusConnection &connection, QObject *parent)
PendingVariant * | internalRequestProperty (const QString &name) const
PendingOperation * | internalSetProperty (const QString &name, const QVariant &newValue)
PendingVariantMap * | internalRequestAllProperties () const
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)

## Additional Inherited Members

Protected Slots inherited from Tp::AbstractInterface
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Connection.Interface.Capabilities".

## Constructor & Destructor Documentation

## § ConnectionInterfaceCapabilitiesInterface() [1/5]

Tp::Client::ConnectionInterfaceCapabilitiesInterface::ConnectionInterfaceCapabilitiesInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ConnectionInterfaceCapabilitiesInterface associated with the given object on the session bus.

Parameters

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

## § ConnectionInterfaceCapabilitiesInterface() [2/5]

Tp::Client::ConnectionInterfaceCapabilitiesInterface::ConnectionInterfaceCapabilitiesInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ConnectionInterfaceCapabilitiesInterface associated with the given object on the given bus.

Parameters

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

## § ConnectionInterfaceCapabilitiesInterface() [3/5]

Tp::Client::ConnectionInterfaceCapabilitiesInterface::ConnectionInterfaceCapabilitiesInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a ConnectionInterfaceCapabilitiesInterface associated with the same object as the given proxy.

Parameters

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

## § ConnectionInterfaceCapabilitiesInterface() [4/5]

Tp::Client::ConnectionInterfaceCapabilitiesInterface::ConnectionInterfaceCapabilitiesInterface | ( | const Tp::Client::ConnectionInterface & | mainInterface | ) |

explicit

Creates a ConnectionInterfaceCapabilitiesInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters

  mainInterface | The proxy to use.

## § ConnectionInterfaceCapabilitiesInterface() [5/5]

Tp::Client::ConnectionInterfaceCapabilitiesInterface::ConnectionInterfaceCapabilitiesInterface | ( | const Tp::Client::ConnectionInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a ConnectionInterfaceCapabilitiesInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

## § staticInterfaceName()

static QLatin1String Tp::Client::ConnectionInterfaceCapabilitiesInterface::staticInterfaceName | ( |  | ) |

inline static

Returns the name of the interface "org.freedesktop.Telepathy.Connection.Interface.Capabilities", which this class represents.

Returns
  The D-Bus interface name.

## § requestAllProperties()

Tp::PendingVariantMap* Tp::Client::ConnectionInterfaceCapabilitiesInterface::requestAllProperties | ( |  | ) | const

inline

Request all of the DBus properties on the interface.

Returns
  A pending variant map which will emit finished when the properties have been retrieved.

## § AdvertiseCapabilities

QDBusPendingReply<Tp::CapabilityPairList> Tp::Client::ConnectionInterfaceCapabilitiesInterface::AdvertiseCapabilities | ( | const Tp::CapabilityPairList & | add,
|  | const QStringList & | remove,
|  | int | timeout = `-1`
| ) |  |

inline slot

Begins a call to the D-Bus method `AdvertiseCapabilities` on the remote object.

Used by user interfaces to indicate which channel types they are able to handle on this connection. Because these may be provided by different client processes, this method accepts channel types to add and remove from the set already advertised on this connection. The type of advertised capabilities (create versus invite) is protocol-dependent and hence cannot be set by the this method. In the case of a client adding an already advertised channel type but with new channel type specific flags, the connection manager should simply add the new flags to the set of advertised capabilities.

Upon a successful invocation of this method, the CapabilitiesChanged() signal will be emitted for the user's own handle ( ConnectionInterface::GetSelfHandle() ) by the connection manager to indicate the changes that have been made. This signal should also be monitored to ensure that the set is kept accurate - for example, a client may remove capabilities or type specific capability flags when it exits which are still provided by another client.

On connections managed by the ChannelDispatcherInterface , this method SHOULD NOT be used by clients other than the ChannelDispatcher itself.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  add

  An array of structures containing:
  - a string channel type
  - a bitwise OR of type specific capability flags

  remove

      An array of D-Bus interface names of channel types to remove

  timeout | The timeout in milliseconds.

Returns

      An array of structures describing the current capabilities
      containing: a string channel type a bitwise OR of type specific
      capability flags

## § GetCapabilities

QDBusPendingReply<Tp::ContactCapabilityList> Tp::Client::ConnectionInterfaceCapabilitiesInterface::GetCapabilities | ( | const Tp::UIntList & | handles,
|  | int | timeout = `-1`
| ) |  |

inline slot

Begins a call to the D-Bus method `GetCapabilities` on the remote object.

Returns an array of capabilities for the given contact handles.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  handles | An array of contact handles for this connection. This may include zero, which originally meant a query for capabilities available on the connection itself. This usage is deprecated; clients SHOULD NOT do this, and connection managers SHOULD proceed as though zero had not been present in this list.
  timeout | The timeout in milliseconds.

Returns

An array of structures containing:

- an integer handle representing the contact
- a string channel type
- a bitwise OR of generic capability flags for the type
- a bitwise OR of type specific capability flags for the type

## § CapabilitiesChanged

void Tp::Client::ConnectionInterfaceCapabilitiesInterface::CapabilitiesChanged | ( | const Tp::CapabilityChangeList & | caps | ) |

signal

Represents the signal `CapabilitiesChanged` on the remote object.

Announce that there has been a change of capabilities on the given handle.

If the handle is zero, the capabilities refer to the connection itself, in some poorly defined way. This usage is deprecated and clients should ignore it.

Parameters

  caps

  An array of structures containing:
  - an integer handle representing the contact
  - a string channel type
  - a bitwise OR of the contact's old generic capability flags
  - a bitwise OR of the contact's new generic capability flags
  - a bitwise OR of the contact's old type specific capability flags
  - a bitwise OR of the contact's new type specific capability flags

## § invalidate()

void Tp::Client::ConnectionInterfaceCapabilitiesInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  |

protected virtual

Reimplemented from Tp::AbstractInterface.